package com.mdd.admin.validate.album;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;

@ApiModel("附件搜索参数")
public class AlbumSearchValidate implements Serializable {
   private static final long serialVersionUID = 1L;
   @ApiModelProperty("分类ID")
   private Integer cid;
   @ApiModelProperty("类型")
   private Integer type;
   @ApiModelProperty("关键词")
   private String keyword;

   public Integer getCid() {
      return this.cid;
   }

   public Integer getType() {
      return this.type;
   }

   public String getKeyword() {
      return this.keyword;
   }

   public void setCid(Integer cid) {
      this.cid = cid;
   }

   public void setType(Integer type) {
      this.type = type;
   }

   public void setKeyword(String keyword) {
      this.keyword = keyword;
   }

   public boolean equals(Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof AlbumSearchValidate)) {
         return false;
      } else {
         AlbumSearchValidate other = (AlbumSearchValidate)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            label47: {
               Object this$cid = this.getCid();
               Object other$cid = other.getCid();
               if (this$cid == null) {
                  if (other$cid == null) {
                     break label47;
                  }
               } else if (this$cid.equals(other$cid)) {
                  break label47;
               }

               return false;
            }

            Object this$type = this.getType();
            Object other$type = other.getType();
            if (this$type == null) {
               if (other$type != null) {
                  return false;
               }
            } else if (!this$type.equals(other$type)) {
               return false;
            }

            Object this$keyword = this.getKeyword();
            Object other$keyword = other.getKeyword();
            if (this$keyword == null) {
               if (other$keyword != null) {
                  return false;
               }
            } else if (!this$keyword.equals(other$keyword)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof AlbumSearchValidate;
   }

   public int hashCode() {
      int PRIME = true;
      int result = 1;
      Object $cid = this.getCid();
      result = result * 59 + ($cid == null ? 43 : $cid.hashCode());
      Object $type = this.getType();
      result = result * 59 + ($type == null ? 43 : $type.hashCode());
      Object $keyword = this.getKeyword();
      result = result * 59 + ($keyword == null ? 43 : $keyword.hashCode());
      return result;
   }

   public String toString() {
      return "AlbumSearchValidate(cid=" + this.getCid() + ", type=" + this.getType() + ", keyword=" + this.getKeyword() + ")";
   }
}
